Page MenuHomePhabricator

Phabricator email comments not posted
Closed, ResolvedPublic

Description

I have tried to reply via email to some comments on T224659 twice. However it looks Phabricator didn't converted them into replies as it happened in the past. I am not aware of Phabricator email commands being disabled, but I have been absent from some time so I might not noticed any changes in that regard. Thank you.

Details

Related Gerrit Patches:
operations/puppet : productionphabricator: Install php-mailparse
operations/puppet : productionIncrease priority of php-mailparse

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2019, 7:36 PM
Aklapper triaged this task as Unbreak Now! priority.May 31 2019, 8:44 PM
Aklapper added a project: Mail.
Aklapper added a subscriber: mmodell.

Thanks for catching that. Confirming. I replied via email to this very task and I don't see my email reply showing up here.

Wondering if that's maybe related to moving to phab1003 in T190568.
Last time this happened in https://phabricator.wikimedia.org/T92724 was due to file permissions but likely different reasons now.

Boldly setting this to UBN because data loss when people don't realize that they sent information which never arrived. Anyone feel free to correct me.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMay 31 2019, 8:44 PM
greg added subscribers: Dzahn, greg.May 31 2019, 9:09 PM

Hopefully no data loss as people's sent email shouldn't just disappear from their client/server. BUT, this isn't good.

@Dzahn anything from the move/reimage that could have caused this?
@mmodell help? :)

@greg this is not related to the reimage :) (i know why it's happening, it's due to upstream removal of some old configs) We never moved the "reply to email" config to the new syntax. I only moved it to allow the continuing of emails being sent. (https://github.com/wikimedia/puppet/commit/d45a46d7ee7fefc2552c03e2bb08c21667191341#diff-f0958b3f2f1547cbbd8476eaf38f82fc) (since i didn't know how to setup phab to receive email using the new syntax)

See https://secure.phabricator.com/book/phabricator/article/configuring_outbound_email/#configuring-mailers

@greg this is not related to the reimage :) (i know why it's happening, it's due to upstream removal of some old configs) We never moved the "reply to email" config to the new syntax. I only moved it to allow the continuing of emails being sent. (https://github.com/wikimedia/puppet/commit/d45a46d7ee7fefc2552c03e2bb08c21667191341#diff-f0958b3f2f1547cbbd8476eaf38f82fc) (since i didn't know how to setup phab to receive email using the new syntax)
See https://secure.phabricator.com/book/phabricator/article/configuring_outbound_email/#configuring-mailers

I don't think this is true. As far as I can tell it's totally related to the server migration because the last email I see in the queue was pre-migration and because there hasn't been a code deployment since before the server migration.

@Dzahn, any ideas? I've been poking at it and I can't see anything that's wrong so far.

I can't seem to find where mx1001 / mx2001 are configured to forward mail?

from /var/log/exim4/mainlog:

2019-05-31 22:30:20 Warning: No server certificate defined; will use a selfsigned one.

I'm not sure if the above problem is the entire issue? It seems like it should be working.

As far as I can tell everything seems to be configured correctly but the messages just disappear. I suspect that something changed with the exim version on stretch?

Note that I've gone through all the upstream troubleshooting steps, however, we have a custom exim setup which is not at all supported by upstream and I wasn't involved in setting any of it up so it's pretty much a mystery to me.

adding @chasemp as he was the one who set up phab_epipe.py as far as I remember.

@mmodell could it be because we don't have php-mailparse installed when on stretch?

We installed php-mailparse when using php5 though.

Change 513713 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/puppet@production] phabricator: Install php-mailparse

https://gerrit.wikimedia.org/r/513713

hmm

php-mailparse is already the newest version (3.0.2+2.1.6-12-gae1ef14-3+0~20180910132529.4+stretch~1.gbpcad4a8+wmf1)

@mmodell Yup, it may be installed but the php class manages the mods (removes ones that are not maintained by the class).

For example if we removed:

'mysqlnd':
    package_name => 'php7.2-mysqlnd',
    sapis        => ['cli', 'fpm'],

puppet will remove /etc/php/7.2/mods-available/mysqlnd.ini.

Now i've just installed php-mailparse, which i found here /etc/php/7.2/mods-available/mailparse.ini

after running puppet i got:

Notice: /Stage[main]/Php/File[/etc/php/7.2/cli/conf.d/25-mailparse.ini]/ensure: removed
Notice: /Stage[main]/Php/File[/etc/php/7.2/fpm/conf.d/25-mailparse.ini]/ensure: removed

one more time

ok it looks like it works.. https://gerrit.wikimedia.org/r/513713 should be the fix (Applied manually on phab1003)

@Paladox: nice catch noticing that the mailparse module wasn't enabled on fpm in stretch!

greg lowered the priority of this task from Unbreak Now! to High.Jun 1 2019, 6:33 AM

Hotfix in place, resetting to High.

Change 513713 merged by Fsero:
[operations/puppet@production] phabricator: Install php-mailparse

https://gerrit.wikimedia.org/r/513713

fsero added a subscriber: fsero.Jun 6 2019, 2:57 PM

merged and applied

Change 514742 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/puppet@production] Increase priority of php-mailparse

https://gerrit.wikimedia.org/r/514742

Change 514742 merged by Fsero:
[operations/puppet@production] Increase priority of php-mailparse

https://gerrit.wikimedia.org/r/514742

testing reply via email.

mmodell closed this task as Resolved.Jun 6 2019, 3:30 PM
mmodell claimed this task.

Working! Thanks @fsero

nice fix! sorry, i was off for quite some time and reading this now. indeed a good catch that we did not catch during the migration. thanks all!